﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Grid;
using System;
using System.Collections.Generic;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TableSample
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create a new PDF document
            PdfDocument pdfDocument = new PdfDocument();

            //Add a page to the document
            PdfPage pdfPage = pdfDocument.Pages.Add();

            //Create a new PdfGrid
            PdfGrid pdfGrid = new PdfGrid();

            //Add columns
            pdfGrid.Columns.Add(4);

            string[] name = new string[3] { "Clay", "John", "Simons" };
            //Add header
            PdfGridRow header = pdfGrid.Rows.Add();
            header.Cells[0].Value = "ID";
            header.Cells[1].Value = "Name";
            header.Cells[2].Value = "Type";
            header.Cells[3].Value = "Date";

            //Add style
            header.Style.Font = new PdfStandardFont(PdfFontFamily.TimesRoman, 12, PdfFontStyle.Bold);

            //Add rows to the table
            for (int i = 0; i < 1; i++)
            {
                PdfGridRow row = pdfGrid.Rows.Add();
                row.Cells[0].Value = i.ToString();
                row.Cells[1].Value = name[i];
                row.Cells[2].Value = "AAA";
                row.Cells[3].Value = DateTime.Now.ToString();
            }          

            //Row1
            pdfGrid.Rows[0].Cells[0].Style.Borders.Bottom = PdfPens.Transparent;
            pdfGrid.Rows[0].Cells[0].Style.Borders.Right = PdfPens.Transparent;
            pdfGrid.Rows[0].Cells[1].Style.Borders.Right = PdfPens.Transparent;
            pdfGrid.Rows[0].Cells[1].Style.Borders.Bottom = PdfPens.Transparent;
            pdfGrid.Rows[0].Cells[1].Style.Borders.Left = PdfPens.Transparent;
            pdfGrid.Rows[0].Cells[2].Style.Borders.Right = PdfPens.Transparent;
            pdfGrid.Rows[0].Cells[2].Style.Borders.Bottom = PdfPens.Transparent;
            pdfGrid.Rows[0].Cells[2].Style.Borders.Left = PdfPens.Transparent;
            pdfGrid.Rows[0].Cells[3].Style.Borders.Bottom = PdfPens.Transparent;
            pdfGrid.Rows[0].Cells[3].Style.Borders.Left = PdfPens.Transparent;

            //Row2
            pdfGrid.Rows[1].Cells[0].Style.Borders.Top = PdfPens.Transparent;
            pdfGrid.Rows[1].Cells[0].Style.Borders.Right = PdfPens.Transparent;
            pdfGrid.Rows[1].Cells[1].Style.Borders.Right = PdfPens.Transparent;
            pdfGrid.Rows[1].Cells[1].Style.Borders.Top = PdfPens.Transparent;
            pdfGrid.Rows[1].Cells[1].Style.Borders.Left = PdfPens.Transparent;
            pdfGrid.Rows[1].Cells[2].Style.Borders.Right = PdfPens.Transparent;
            pdfGrid.Rows[1].Cells[2].Style.Borders.Top = PdfPens.Transparent;
            pdfGrid.Rows[1].Cells[2].Style.Borders.Left = PdfPens.Transparent;
            pdfGrid.Rows[1].Cells[3].Style.Borders.Top = PdfPens.Transparent;
            pdfGrid.Rows[1].Cells[3].Style.Borders.Left = PdfPens.Transparent;

            //Draw the PdfGrid
            pdfGrid.Draw(pdfPage, PointF.Empty);

            //Save the document
            pdfDocument.Save("Table.pdf");

            //Close the document
            pdfDocument.Close(true);

            //This will open the PDF file so, the result will be seen in default PDF Viewer 
            Process.Start("Table.pdf");
        }
    }
}
            